Name:          libkdegames
Version:       4.13.1
Release:       1mamba
Summary:       KDE games library
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.kde.org
Source:        ftp://ftp.kde.org/pub/kde/stable/%{version}/src/libkdegames-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: kdelibs-devel
BuildRequires: libgcc
BuildRequires: libopenal-devel
BuildRequires: libqt4-devel
BuildRequires: libsndfile-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
KDE games library.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
## note: you can add this requirement if .pc files are provided by this package
Requires:      pkg-config

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q

%build
%cmake_kde4 -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_kde4_libdir}/libkdegames.so.*
%{_kde4_libdir}/libkdegamesprivate.so.*
%dir %{_kde4_libdir}/kde4/imports/org/kde/games
%dir %{_kde4_libdir}/kde4/imports/org/kde/games/core
%{_kde4_libdir}/kde4/imports/org/kde/games/core/*
%dir %{_kde4_datadir}/carddecks
%{_kde4_datadir}/carddecks/*
%{_kde4_kconfupdatedir}/kgthemeprovider-migration.upd
%doc COPYING COPYING.DOC

%files devel
%defattr(-,root,root)
%{_kde4_includedir}/KDE/K*
%dir %{_kde4_includedir}/highscore
%{_kde4_includedir}/highscore/k*.h
%{_kde4_includedir}/*.h
%dir %{_kde4_includedir}/libkdegamesprivate
%{_kde4_includedir}/libkdegamesprivate/*.h
%dir %{_kde4_includedir}/libkdegamesprivate/kgame
#%dir %{_kde4_includedir}/libkdegamesprivate/kgame/dialogs
#%{_kde4_includedir}/libkdegamesprivate/kgame/dialogs/*.h
%{_kde4_includedir}/libkdegamesprivate/kgame/*.h
%{_kde4_libdir}/libkdegames.so
%{_kde4_libdir}/libkdegamesprivate.so
%dir %{_kde4_libdir}/cmake/KDEGames
%{_kde4_libdir}/cmake/KDEGames/KDEGames*.cmake
%doc README TODO

%changelog
* Mon May 19 2014 Automatic Build System <autodist@mambasoft.it> 4.13.1-1mamba
- automatic version update by autodist

* Thu Apr 17 2014 Automatic Build System <autodist@mambasoft.it> 4.13.0-1mamba
- automatic version update by autodist

* Tue Apr 01 2014 Automatic Build System <autodist@mambasoft.it> 4.12.4-1mamba
- automatic version update by autodist

* Wed Mar 05 2014 Automatic Build System <autodist@mambasoft.it> 4.12.3-1mamba
- automatic version update by autodist

* Wed Feb 05 2014 Automatic Build System <autodist@mambasoft.it> 4.12.2-1mamba
- automatic version update by autodist

* Tue Jan 14 2014 Automatic Build System <autodist@mambasoft.it> 4.12.1-1mamba
- automatic version update by autodist

* Thu Dec 19 2013 Automatic Build System <autodist@mambasoft.it> 4.12.0-1mamba
- automatic version update by autodist

* Thu Dec 05 2013 Automatic Build System <autodist@mambasoft.it> 4.11.4-1mamba
- automatic version update by autodist

* Wed Nov 06 2013 Automatic Build System <autodist@mambasoft.it> 4.11.3-1mamba
- automatic version update by autodist

* Tue Oct 01 2013 Automatic Build System <autodist@mambasoft.it> 4.11.2-1mamba
- automatic version update by autodist

* Wed Sep 04 2013 Automatic Build System <autodist@mambasoft.it> 4.11.1-1mamba
- automatic version update by autodist

* Thu Aug 15 2013 Automatic Build System <autodist@mambasoft.it> 4.11.0-1mamba
- automatic version update by autodist

* Tue Jul 02 2013 Automatic Build System <autodist@mambasoft.it> 4.10.5-1mamba
- automatic version update by autodist

* Sat Jun 08 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 4.10.4-1mamba
- package created by silvan using the webbuild interface
